Summary:	Plasma 5 SSH-askpass
Name:		ksshaskpass
Version:	5.7.2
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5wallet-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	pkgconfig(Qt5Core)
Requires:	openssh-clients
Requires(post,postun):	update-alternatives

%description
Ksshaskpass is a front-end for ssh-add which stores the password of the sh key
in KWallet.

Ksshaskpass is not meant to be executed directly, you need to tell ssh-add
about it. ssh-add will then call it if it is not associated to a terminal.

%files -f %{name}.lang
%{_kde5_bindir}/ksshaskpass
%{_kde5_mandir}/man1/ksshaskpass.1*

%post
update-alternatives --install %{_libdir}/ssh/ssh-askpass ssh-askpass %{_kde5_bindir}/ksshaskpass 60
update-alternatives --install %{_bindir}/ssh-askpass bssh-askpass %{_kde5_bindir}/ksshaskpass 60

%postun
[ $1 = 0 ] || exit 0
update-alternatives --remove ssh-askpass %{_kde5_bindir}/ksshaskpass
update-alternatives --remove bssh-askpass %{_kde5_bindir}/ksshaskpass

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name}

%changelog

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (60494fc) Drop desktop file as upstream did
- (60494fc) Adjust style for KF5 BuildRequires


